Subject: Re: What's in a name? Let's use a (uuid,name,email) triplet

From: Paolo Bonzini <[email-masked]>
Date: Fri, 19 Mar 2010 14:08:59 +0100

On 03/19/2010 02:03 PM, Michael Witten wrote:

>>> Secondly, you're being ridiculous; even if that ridiculous scenario
>>> played out not-infrequently
>>
>> It's not a matter of frequency.  If you want a "UU" identification,
>> collisions must not even happen *once*.
>
> I've got news for you. The UUIDs generated by uuidgen CAN collide:
>
>      The new UUID can reasonably be considered unique
>      among all UUIDs created on the local system, and
>      among UUIDs created on other systems in the past
>      and in the future.

Please read the UUID generation algorithm.

> You're creating a straw man argument; conceptually, what I propose is
> better than what the current system provides because it would decrease
> the rate at which identity entropy increases.

Maybe you have to define entropy.  For human consumers, "Paolo Bonzini 
<[email-masked]>" has considerably less "entropy" than 
8aacc35ffca0d34fccf8a750e84e3a81bdcb940b, as does even "Paolo Bonzini 
<[email-masked], [email-masked]>".  For non-human consumers, a 
good mailmap will do.

>>>> I have an idea.  Start your own website uuidemail.com.  One
>>>> registers and gets an alias for their email, something like
>>>> [email-masked].  Then
>>>> people can start using
>>>>
>>>> [email-masked]
>>>> as their git user.email.  I bet nobody will.
>>>
>>> This is nonsense that betrays your misunderstanding.
>>
>> Why?  What does (name, email, uuid) provide over (name, concat(uuid,
>> email))?  Nothing.
>
> Go read the thread until you understand.

I am not alone.

Paolo